glutButtonBoxFunc(3GLUT)

NAME
glutButtonBoxFunc - sets the dial & button box button callback for the current window.

SYNTAX
#include <GLUT/glut.h>

void glutButtonBoxFunc(void (*func)(int button, int state));

ARGUMENTS

func
    The new button box callback function.

DESCRIPTION
glutButtonBoxFunc sets the dial & button box button callback for the current window. The dial & button box button callback for a window is called when the window has dial & button box input focus (normally, when the mouse is in the window) and the user generates dial & button box button presses. The button parameter will be the button number (starting at one). The number of available dial & button box buttons can be determined with glutDeviceGet(GLUT_NUM_BUTTON_BOX_BUTTONS). The state is either GLUT_UP or GLUT_DOWN indicating whether the callback was due to a release or press respectively. Registering a dial & button box button callback when a dial & button box device is not available is ineffectual and not an error. In this case, no dial & button box button callbacks will be generated. Passing NULL to glutButtonBoxFunc disables the generation of dial & button box button callbacks. When a new window is created, no dial & button box button callback is initially registered.

SEE ALSO
glutDialsFunc, glutDeviceGet, glutSpaceballButtonFunc, glutTabletButtonFunc

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)